<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="nextcloudcron" engine="none"/>
    <service name="nextcloudcron" type="timer" engine="none" target="timers"/>
    <service name="nextcloud" engine="cheetah" target="multi-user">
      <file owner="apache" group="apache" mode="440" source="nextcloud-config.php">/etc/nextcloud/config.php</file>
      <file owner="root" group="root" mode="755">/sbin/nextcloud.init</file>
      <file>/etc/httpd/conf.d/a-nextcloud-access.conf</file>
      <file>/etc/httpd/conf.d/z-nextcloud-access.conf</file>
      <file>/etc/php.d/20-pgsql.ini</file>
      <file engine="none" source="tmpfile-nextcloud.conf">/tmpfiles.d/0nextcloud.conf</file>
    </service>
  </services>
  <variables>
    <family name="nextcloud" description="Nextcloud">
      <variable name="nextcloud_admin_password" type="password" auto_save="False" hidden="True"/>
      <variable name="nextcloud_mail_admin" type="mail" mandatory="True"/>
      <variable name="nextcloud_instance_id" type="password" auto_save="False" hidden="True"/>
      <variable name="nextcloud_well_known_server" type="domainname" description="Nom de domaine du serveur hebergeant le répertoire .well-known"/>
      <variable name="nextcloud_well_known_caldav" type="web_address" hidden='True'/>
      <variable name="nextcloud_well_known_carddav" type="web_address" hidden='True'/>
    </family>
    <family name="oauth2_client">
      <variable name="oauth2_is_client_application" redefine='True'>
        <value>True</value>
      </variable>
      <variable name="oauth2_client_name" redefine='True'>
        <value>Collaboration</value>
      </variable>
      <variable name="oauth2_client_description" redefine='True'>
        <value>Plateforme de collaboration Nextcloud</value>
      </variable>
      <variable name="oauth2_client_category" redefine='True'>
        <value>Diffusion</value>
      </variable>
      <variable name="oauth2_client_logo" redefine='True'>
        <value>silique_folder.png</value>
      </variable>
    </family>
    <family name="php">
      <variable name="php_enable_output_buffering" redefine="True">
        <value>False</value>
      </variable>
      <variable name="php_disable_pcntl" redefine="True">
        <value>False</value>
      </variable>
    </family>
  </variables>
  <constraints>
    <fill name="get_password">
      <param name="server_name" type="variable">domain_name_eth0</param>
      <param name="username">admin_password</param>
      <param name="description">nextcloud</param>
      <param name="type">cleartext</param>
      <param name="hide" type="variable">hide_secret</param>
      <target>nextcloud_admin_password</target>
    </fill>
    <!-- see lib/private/legacy/OC_Util.php -->
    <fill name="get_password_alpha_num">
      <param name="server_name" type="variable">domain_name_eth0</param>
      <param name="username">instance_id</param>
      <param name="description">nextcloud</param>
      <param name="length" type="number">10</param>
      <param name="starts_with_char" type="boolean">True</param>
      <param name="hide" type="variable">hide_secret</param>
      <target>nextcloud_instance_id</target>
    </fill>
    <fill name="calc_web_address">
      <param type="variable">domain_name_eth0</param>
      <param type="variable">revprox_client_port</param>
      <param>/.well-known/caldav</param>
      <target>nextcloud_well_known_caldav</target>
    </fill>
    <fill name="calc_web_address">
      <param type="variable">domain_name_eth0</param>
      <param type="variable">revprox_client_port</param>
      <param>/.well-known/carddav</param>
      <target>nextcloud_well_known_carddav</target>
    </fill>
  </constraints>
</rougail>
